{% extends "base.html" %}
{% block head %}
<script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
<script src="https://unpkg.com/axios/dist/axios.min.js"></script>
{% include 'importLeaflet.html' %}
{% endblock %}
{% block map %}
<div id="map"></div>
<script
    type=text/javascript
    src="{{ url_for('static', filename='js/map.js') }}">
</script>
<script type=text/javascript
    src="{{url_for('static', filename='js/biogeoregio.js') }}"
>
</script>
<script type=text/javascript
        src="{{url_for('static', filename='js/wgs84-lv03/wgs84_ch1903.js')}}"
>
</script>
<script>
    var map = generateDefaultMap()
    //setbgregio("Mittelland")
    addGeoJsonFeatureCollection({{biogeoregio|tojson}})
</script>
{% endblock %}
{% block page %}
<div class="page-bar">
    {% for error in errors %}
    <h4>{{ error }}</h4>
    {% endfor %}
    <form method="POST">
        <div class="field">
            <label class="label" for="spezies_id">
                Species
            </label>
            
            <select id="spezies_id" name="spezies_id">
                {% for s in speziesList %}
                <option
                  {% if s.id == fund.spezies.id %} 
                  selected=""
                  {% endif %}
                  value="{{ s.id }}"
                  >
                  {{ s.gattung }} {{ s.art }} {{ s.erstfinder }}
                </option>
                {% endfor %}
            </select>
        </div>
        <div class="field">
            <label class="label" for="longitude">
                Longitude
            </label>
            <input id="longitude"
                name="longitude"
                required=""
                type="text"
                value="{{ fund.longitude }}">
        </div>
        <div class="field">
            <label class="label" for="latitude">
                Latitude
            </label>
            <input id="latitude"
                name="latitude"
                required=""
                type="text"
                value="{{ fund.latitude }}">
        </div>
        <div class="field">
            <label class="label" for="altitude">
                Altitude
            </label>
            <input id="altitude"
                name="altitude"
                required=""
                type="text"
                value="{{ fund.altitude }}">
        </div>
        <div class="field">
            <label class="label" for="habitat">
                Habitat
            </label>
            <select input id="habitat"
                name="habitat"
                type="text"
                value="{{ fund.habitat }}">
                <option value={{ fund.habitat }}>{{ fund.habitat }}</option>
                <option value="Eukrenal">Eukrenal</option>
                <option value="Hypokrenal">Hypokrenal</option>
            </select>
        </div>
        <div class="field">
            <label class="label">
                Biogeographical region
            </label>
            <span id="bgregio">
                {{ fund.biogeoregio}}
            </span> 
        </div>
        <div class="field">
            <label class="label" for="abundance">
                Abundance
            </label>
            <input id="abundance"
                name="abundance"
                type="text"
                value="{{ fund.abundance }}">
        </div>
        <div class="field">
            <label class="label" for="datum-gefunden">
                Date of find
            </label>
            <input class="datepicker"
                id="datum_gefunden"
                name="datum_gefunden"
                required=""
                type="date"
                value="{{ fund.datumGefunden }}">
        </div>
        <div class="field">
            <label for="legit">
                Legit
            </label>
            <input id="legit"
                   name="legit"
                   type="text"
                   value="{{ fund.legit }}">
                
        </div>
        <div class="field">
            <label for="determinavit">
                Determinavit
            </label>
            <input id="determinavit"
                    name="determinavit"
                    type="text"
                    value="{{ fund.determinavit }}">
        </div>
        <div class="field">
            <label for="collection_id">
                Collection ID
            </label>
            <input id="collection_id"
                name="collection_id"
                type="text"
                value="{{ fund.collectionId }}">
        </div>
        <div class="field">
            <label for="publication">
                Publication
            </label>
            <textarea id="publication"
                name="publication"
                >
                {{ fund.publication }}
            </textarea>
        </div>
        <div class="field is-horizontal">
            <div class="field-label">
                <!-- Left empty for spacing -->
            </div>
            <div class="control">
                <button type="submit" class="button is-primary">Submit</button>
            </div>
        </div>
        <div class="field is-horizontal">
            <div class="field-label">
                <!-- Left empty for spacing -->
            </div>
        </div>
</form>
<div class="field is-horizontal">
    <a href="/fund/delete/{{ fund.id }}" >
        <button>Delete</button>
    </a>
</div>
</div>
<br>
<script
    type=text/javascript
    src="{{ url_for('static', filename='js/mapModify.js') }}">
</script>
<script> 
    var fundort = {
        lat: {{fund['latitude']}},
        lng: {{fund['longitude']}} 
    }
    setSingleMarker(fundort)
</script>
{% endblock %}
